Skip to main content
`Ctrl`+`K`

# numpy.full

numpy.full(shape, fill_value, dtype=None, order='C', *, device=None, like=None)

  Return a new array of given shape and type, filled with fill_value.

  Parameters:
    shape int or sequence of ints

      Shape of the new array, e.g., `(2, 3)` or `2`.

    fill_value scalar or array_like

      Fill value.

    dtype data-type, optional
      The desired data-type for the array The default, None, means

        `np.array(fill_value).dtype`.

    order{‘C’, ‘F’}, optional

      Whether to store multidimensional data in C- or Fortran-contiguous (row- or column-wise) order in memory.

    device str, optional

      The device on which to place the created array. Default: None. For Array-API interoperability only, so must be `"cpu"` if passed.

      Added in version 2.0.0.

    like array_like, optional

      > Reference object to allow the creation of arrays which are not NumPy arrays. If an array-like passed in as `like` supports the `__array_function__` protocol, the result will be defined by it. In this case, it ensures the creation of an array object compatible with that passed in via this argument.

      Added in version 1.20.0.

  Returns:
    out ndarray

      Array of fill_value with the given shape, dtype, and order.

  See also

  `full_like`

    Return a new array with shape of input filled with value.

  `empty`

    Return a new uninitialized array.

  `ones`

    Return a new array setting values to one.

  `zeros`

    Return a new array setting values to zero.

  Examples

      >>> import numpy as np
      >>> np.full((2, 2), np.inf)
      array([[inf, inf],
             [inf, inf]])
      >>> np.full((2, 2), 10)
      array([[10, 10],
             [10, 10]])

      >>> np.full((2, 2), [1, 2])
      array([[1, 2],
             [1, 2]])